PHP K�sikirja
Edellinen |  | Seuraava

# sqlite_unbuffered_query

(PHP 5)

sqlite_unbuffered_query

(no version information, might be only in CVS)

SQLiteDatabase->unbufferedQuery -- Execute a query that does not prefetch and buffer all data

## Description

resource sqlite_unbuffered_query ( resource dbhandle, string query )
resource sqlite_unbuffered_query ( string query, resource dbhandle )

Object oriented style (method):

class SQLiteDatabase {
SQLiteUnbuffered unbufferedQuery ( string query )
}

sqlite_unbuffered_query() is identical to sqlite_query() except that the result that is returned is a sequential forward-only result set that can only be used to read each row, one after the other.

This function is ideal for generating things such as HTML tables where you only need to process one row at a time and don't need to randomly access the row data.

> Huomaa: Functions such as sqlite_seek(), sqlite_rewind(), sqlite_next(), sqlite_current(), and sqlite_num_rows() do not work on result handles returned from sqlite_unbuffered_query().

## Parameters

query

  The query to be executed.

dbhandle

  The SQLite Database resource; returned from sqlite_open () when used procedurally. This parameter is not required when using the object-oriented method.

> Huomaa: Two alternative syntaxes are supported for compatibility with other database extensions (such as MySQL). The preferred form is the first, where the dbhandle parameter is the first parameter to the function.

## Return values

Returns a result handle or `FALSE` on failure.

sqlite_unbuffered_query() returns a sequential forward-only result set that can only be used to read each row, one after the other.

## See Also

sqlite_query()

Edellinen | Alkuun | Seuraava
sqlite_udf_encode_binary | Ylös | sqlite_valid